#
# spec file for package rpm (Version 3.0.6)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool perl rpm

Name:         rpm
License:      GPL
Group:        System/Packages
Provides:     rpminst
Requires:     build-key
PreReq:       %insserv_prereq
Autoreqprov:  on
Summary:      The RPM Package Manager
Version:      3.0.6
Release:      555
%define 	popt_version 1.6.4
Source:       ftp://ftp.rpm.org/pub/rpm/dist/rpm-3.0.x/rpm-%{version}.tar.bz2
Source1:      RPM-HOWTO.tar.bz2
Source2:      RPM-Tips.html.tar.bz2
Source3:      RPM-Changes.html.tar.bz2
Source4:      rpm-suse_macros
Source5:      rpmqpack.c
Source6:      rpmqpack.8
Source7:      rpm-de.po.bz2
Source8:      rpmconfigcheck
#
# Source9 reserved for separate popt sources if neccessary.
# Don't use it for something else, or %prep will fail.
Source9:      popt-1.6.4.tar.bz2
#
Patch:        rpm-%{version}.config.diff
Patch1:       rpm-%{version}.pkg_build.diff
Patch2:       rpm-%{version}.pkg_inst.diff
Patch3:       rpm-%{version}.libio.diff
Patch4:       rpm-%{version}.endian.dif
Patch5:       rpm-%{version}.elf64.diff
Patch6:       rpm-%{version}.configure.dif
Patch7:       rpm-%{version}.mips.dif
Patch8:       rpm-%{version}.failed_copy_file.diff
Patch10:      rpm-%{version}.getopt.diff
Patch11:      rpm-%{version}.assert.dif
Patch12:      rpm-%{version}.if.dif
Patch13:      rpm-%{version}.unk_ugname_cached.diff
Patch14:      rpm-%{version}.rpmpatch.diff
Patch15:      rpm-%{version}.distinfo.diff
Patch16:      rpm-%{version}.files.diff
Patch17:      rpm-%{version}.gpgsig.diff
Patch18:      rpm-%{version}.errno.diff
Patch19:      rpm-%{version}.rpm2cpio.diff
Patch20:      rpm-%{version}.ja.po.diff
Patch21:      rpm-%{version}.ppc64.diff
Patch22:      rpm-%{version}.taggedindex.diff
Patch23:      rpm-%{version}.postinstallfree.diff
Patch24:      rpm-%{version}.initdbstatus.diff
Patch25:      rpm-%{version}.conectivamacros.diff
Patch26:      rpm-%{version}.brp-posixtime.dif
Patch27:      rpm-%{version}.expandMacro.diff
Patch28:      rpm-%{version}.m68k.diff
Patch29:      rpm-%{version}.gpgrunagain.diff
Patch30:      rpm-%{version}.tempnam.diff
Patch31:      rpm-%{version}.notarpm.diff
Patch32:      rpm-%{version}.fastdbdup.diff
Patch65:      rpm-%{version}.x86_64.diff
Patch66:      rpm-%{version}.platform.diff
Patch67:      rpm-%{version}.find_provides.diff
Patch68:      %{name}-%{version}.find_provides_soname.diff
#
#Patch9:       popt-1.6.4.dif
#
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
#

%description
RPM Package Manager is the main tool for managing the software packages
of the SuSE Linux distribution.

RPM can be used to install and remove software packages. With rpm, it
is easy to update packages.  RPM keeps track of all these manipulations
in a central database.	This way it is possible to get an overview of
all installed packages.  RPM also supports database queries.



Authors:
--------
    Erik Troan <ewt@redhat.com>
    Marc Ewing <marc@redhat.com>

%package devel
Summary:      Development files for applications which will manipulate RPM packages
License:      GPL
Group:        System/Packages
Requires:     rpm = %{version}-%{release}

%description devel
This package contains the RPM C library and header files.  These
development files will simplify the process of writing programs which
manipulate RPM packages and databases and are intended to make it
easier to create graphical package managers or any other tools that
need an intimate knowledge of RPM packages in order to function.



Authors:
--------
    Erik Troan <ewt@redhat.com>
    Marc Ewing <marc@redhat.com>

%prep
%define suse_macrofile     	suse_macros
%define source_suse_macrofile 	%{SOURCE4}
%setup -q
if [ "%{SOURCE9}" != "%%{SOURCE9}" ]; then
# separate popt source
%setup -q -D -T -a 9
mv popt popt.orig
ln -s popt-1.6.4 popt
fi
%patch -P 0 -P 1 -P 2 -P 3 -P 4 -P 5 -P 6 -P 7 -P 8 -P 10 -P 11 -P 12 -P 13 -P 14 -P 15 -P 16 -P 17 -P 18 -P 19 -P 20 -P 21 -P 22 -P 23 -P 24 -P 25 -P 26 -P 27 -P 28 -P 29 -P 30 -P 31 -P 32 -P 65 -P 66 -P 67 -P 68
bunzip2 < %{SOURCE7} > po/de.po
rm autodeps/sparc-linux.{req,prov} # Will be replaced by generic version:
for arch in powerpc powerpc64 s390 s390x sparc sparc64 x86_64; do # ELF64 checks
	ln -s elf64-linux.req  autodeps/$arch-linux.req  # "(64bit)" requires
	ln -s elf64-linux.prov autodeps/$arch-linux.prov # "(64bit)" provides
done
#pushd popt
#%patch9
#popd
tar -xjvf %{SOURCE1}
tar -xjvf %{SOURCE2}
tar -xjvf %{SOURCE3}
for F in autodeps/linux.prov autodeps/linux.req; do
	mv $F $F.orig
	mv $F.suse $F
done
###
###
if [ -s "/etc/rpm/%{suse_macrofile}" ]; then
	cp -a /etc/rpm/%{suse_macrofile} %{source_suse_macrofile}
else
	test -f "%{source_suse_macrofile}" || {
		touch %{source_suse_macrofile}
	}
fi

%build
%{?suse_update_config:%{suse_update_config -f popt}}
export CFLAGS="$RPM_OPT_FLAGS"
%ifarch alpha
export CFLAGS="-g -O0"
%endif
./autogen.sh --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} --libdir=%{_libdir}
rm po/de.gmo
make
cc %{SOURCE5} -o rpmqpack $RPM_OPT_FLAGS -ldb1
#make -C python

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/share/locale
ln -s ../share/locale $RPM_BUILD_ROOT/usr/lib/locale
make DESTDIR="$RPM_BUILD_ROOT" install
cp rpmqpack $RPM_BUILD_ROOT/usr/bin
cp %{SOURCE6} $RPM_BUILD_ROOT/%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 755 %{SOURCE8} $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
ln -sf ../../etc/init.d/rpmconfigcheck $RPM_BUILD_ROOT/usr/sbin/rcrpmconfigcheck
#make DESTDIR="$RPM_BUILD_ROOT" install -C python
strip $RPM_BUILD_ROOT/bin/rpm
strip $RPM_BUILD_ROOT/usr/bin/rpm2cpio
strip $RPM_BUILD_ROOT/usr/lib/rpm/rpmputtext
strip $RPM_BUILD_ROOT/usr/lib/rpm/rpmgettext
cp -a %{source_suse_macrofile} $RPM_BUILD_ROOT/usr/lib/rpm/%{suse_macrofile}
mv $RPM_BUILD_ROOT/usr/src/redhat $RPM_BUILD_ROOT/usr/src/packages
mkdir -p $RPM_BUILD_ROOT/var/lib/rpm
gzip -9 $RPM_BUILD_ROOT/%{_mandir}/man[18]/*.[18]
export RPM_BUILD_ROOT
%ifarch s390x
if [ -f scripts/brp-%_arch-linux ]; then sh scripts/brp-%_arch-linux; fi
%endif

%clean
#rm -rf $RPM_BUILD_ROOT

%post
test -f var/lib/rpm/triggerindex.rpm || rpm --initdb
%{insserv_force_if_yast etc/init.d/rpmconfigcheck}

%postun
%{insserv_cleanup}

%files
%defattr(-,root,root)
%doc 	RPM-PGP-KEY RPM-GPG-KEY CHANGES COPYING GROUPS
%doc 	doc/manual
%doc 	RPM-HOWTO RPM-Tips RPM-Changes
	/bin/rpm
	/usr/bin/gendiff
	/usr/bin/rpm2cpio
	/usr/bin/rpmqpack
	/etc/init.d/rpmconfigcheck
	/usr/sbin/rcrpmconfigcheck
        %{_libdir}/librpm.so.*
        %{_libdir}/librpmbuild.so.*
#	/usr/lib/python1.5/site-packages/rpmmodule.so
	/usr/lib/rpm
#	%{_libdir}/rpmpopt
#	%{_libdir}/rpmrc
%doc	%{_mandir}/man[18]/*.[18]*
	/usr/share/locale/*/LC_MESSAGES/rpm.mo
%dir 	/var/lib/rpm
%dir 	%attr(1777,root,root) /usr/src/packages/BUILD
%dir 	%attr(1777,root,root) /usr/src/packages/SPECS
%dir 	%attr(1777,root,root) /usr/src/packages/SOURCES
%dir 	%attr(1777,root,root) /usr/src/packages/SRPMS
%dir	%attr(1777,root,root) /usr/src/packages/RPMS
%dir	%attr(1777,root,root) /usr/src/packages/RPMS/*
#%lang(ja) %{_mandir}/ja/man[18]/*.[18]*
#%lang(ru) %{_mandir}/ru/man[18]/*.[18]*
#%lang(pl) %{_mandir}/pl/man[18]/*.[18]*

%files devel
	/usr/include/rpm
        %{_libdir}/librpm.a
        %{_libdir}/librpm.la
        %{_libdir}/librpm.so
        %{_libdir}/librpmbuild.a
        %{_libdir}/librpmbuild.la
        %{_libdir}/librpmbuild.so
%package -n popt
Summary:      A C library for parsing command line parameters
License:      LGPL, Other License(s), see package
Group:        System/Libraries
Version:      1.6.4
Release:      64
#

%description -n popt
Popt is a C library for parsing command line parameters.  Popt was
heavily influenced by the getopt() and getopt_long() functions. It
improves on them by allowing more powerful argument expansion. Popt can
parse arbitrary argv[] style arrays and automatically set variables
based on command line arguments.  Popt allows command line arguments to
be aliased via configuration files and includes utility functions for
parsing arbitrary strings into argv[] arrays using shell-like rules.



Authors:
--------
    Erik Troan <ewt@redhat.com>

%package -n popt-devel
Summary:      C library for parsing command line parameters
License:      LGPL, Other License(s), see package
Group:        System/Libraries
Version:      1.6.4
Release:      64
Requires:     popt = 1.6.4

%description -n popt-devel
Popt is a C library for parsing command line parameters.  Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion. Popt can
parse arbitrary argv[] style arrays and automatically set variables
based on command line arguments.  Popt allows command line arguments to
be aliased via configuration files and includes utility functions for
parsing arbitrary strings into argv[] arrays using shell-like rules.



Authors:
--------
    Erik Troan <ewt@redhat.com>


%files -n popt
%defattr(-,root,root)
        %{_libdir}/libpopt.so.*
	/usr/share/locale/*/LC_MESSAGES/popt.mo

%files -n popt-devel
%defattr(-,root,root)
	/usr/include/popt.h
        %{_libdir}/libpopt.a
        %{_libdir}/libpopt.la
        %{_libdir}/libpopt.so
%doc	%{_mandir}/man3/popt.3*

%changelog -n rpm
* Fri Jan 16 2004 - mls@suse.de
- speed up rpmdbAdd/Remove if a package contains lots of
  equal basenames (e.g. module.h or index.html)
* Mon Mar 10 2003 - mls@suse.de
- fix exit status if file to be installed is not a rpm package
* Fri Feb 28 2003 - mls@suse.de
- use mkstemp instead of tempnam (#24478)
* Thu Feb 20 2003 - ma@suse.de
- Work arround rpm2cpio wrongly reporting an error, if the rpm file
  is read from stdin. (#16800)
* Mon Feb 17 2003 - mls@suse.de
- made rpmconfigcheck add new files to /var/log/update-messages
* Fri Feb 14 2003 - schwab@suse.de
- Save errno inside Fclose, its return value is never checked anyway.
* Fri Feb 14 2003 - pthomas@suse.de
- find-provides for elf64 systems used to omit symbol versions
  if they contained the soname, fixed by find_provides_soname.diff.
* Wed Feb 12 2003 - mls@suse.de
- removed runlevels '1' and 'S' from rpmconfigcheck
* Fri Feb 07 2003 - mls@suse.de
- speed up rpmconfigcheck by just checking the old conflicts if
  no rpm was installed
- rerun gpg if gpg fails with "option file created"
- set LC_ALL to C before calling gpg
* Tue Jan 28 2003 - kukuk@suse.de
- Remove wrong Provides "rpm-devel" and "rpm-python" from Provides
* Sun Jan 26 2003 - olh@suse.de
- the official arch_canon value for ppc64 is 16, not 5
* Thu Jan 16 2003 - ma@suse.de
- update subpackage popt to 1.6.4
* Thu Dec 19 2002 - schwab@suse.de
- Update autogen patch.
* Mon Nov 18 2002 - stepan@suse.de
- add m68k as chanonical architecture to configure.in
* Mon Nov 18 2002 - ro@suse.de
- adapt to latest autoconf
- use host instead of host_alias for %%host_alias since the latter
  is not set
* Mon Nov 11 2002 - ma@suse.de
- let linux.prov list vrsion definitions in libraries/plugins without
  soname. (find_provides.diff)  (#21664)
* Fri Oct 25 2002 - sf@suse.de
- corrected %%_libdir-macro (rpm-3.0.6-platform.diff)
* Mon Oct 21 2002 - schwab@suse.de
- Fix read beyond EOS.
* Mon Oct 07 2002 - ro@suse.de
- fixed brp-compress script for current fileutils
  (add LC_TIME=POSIX, this bug lead to broken tcl man pages)
* Wed Oct 02 2002 - mls@suse.de
- update unpatched files in patchrpms even if --nodeps is used
  [Bug #20418]
* Sat Aug 24 2002 - ro@suse.de
- fix popt-devel requires
* Sun Aug 18 2002 - olh@suse.de
- adding -mminimal-toc to each package is a boring job
  use it per default on ppc64
* Thu Aug 15 2002 - kukuk@suse.de
- Add insserv PreRequires [Bug #17969]
* Mon Aug 12 2002 - bk@suse.de
- rpmrc/s390{,x}: change dummy -fomit-frame-pointer to -fsigned-char
* Sat Aug 10 2002 - schwab@suse.de
- Make ia64 arch_compat to i686.
* Sat Aug 10 2002 - kukuk@suse.de
- Fix version number of popt-devel
* Fri Aug 09 2002 - kukuk@suse.de
- Fix typo
* Fri Aug 09 2002 - kukuk@suse.de
- Fix requires of rpm-devel and popt-devel
* Fri Aug 09 2002 - ro@suse.de
- adapt automake version in configure
* Fri Jul 26 2002 - mls@suse.de
- Added perl/python macros from conectiva
* Fri Jul 26 2002 - kukuk@suse.de
- Create rpm-devel and popt-devel subpackages [Bug #17225]
* Fri Jul 26 2002 - kukuk@suse.de
- Change Requires for suse-build-key to build-key
* Thu Jul 25 2002 - mls@suse.de
- renamed rpmconfigscan to rpmconfigcheck
- fixed elf64-linux.req to ignore scripts without #!
- disabled tag check in rpmdbFindByFile, too dangerous
* Thu Jul 18 2002 - mls@suse.de
- fixed double free of header if the postinstall script failed
- return exit status when doing --initdb
* Thu Jul 11 2002 - mls@suse.de
- use "officially reserved" value of RPMFILE_UNPATCHED
- added rpmconfigcheck script to search for unresolved config
  file changes
* Mon Jul 08 2002 - mls@suse.de
- new version of patchrpm diff: handle patch "freshen" operations
  gracefully
- documented patchrpm options
- taggedindex diff: add directory tags to the fileindex to speed
  up file conflict detection
* Tue Jul 02 2002 - ke@suse.de
- Update German program messages using translations by Christian
  Kirsch.  Add as Source7; drop Patch19 [# 8442].
* Fri Jun 21 2002 - ro@suse.de
- automake is 1.6.2
* Wed Jun 12 2002 - bk@suse.de
- ppc: fix arch for elf64.prov and elf64.req to powerpc(from olh)
- s390x: fix brp-lib64-linux to ignore */lib/ld64.so.1 in lib check
- remove obsolete x64_64 scripts, replaced by generic elf64 scripts
- rpm-3.0.6.pkg_build.diff: remove obsolete diff for sparc-linux.req
* Fri May 31 2002 - olh@suse.de
- remove ppc64 hack
* Mon May 27 2002 - bk@suse.de
- all lib64 platforms use the same brp, req and prov scripts now.
- merge mips diff to not include private flags into linux.req.suse
- merge last rpm-3.0.6-s390x-lib64.diff into rpm-3.0.6.config.diff
- add (64bit) fix for empty soname in elf64.prov from sles7-s390x
* Fri May 17 2002 - olh@suse.de
- add more ppc64 changes, add brp-ppc64-linux
- apply mips, x86_64 and s390x patches on all archs
- rpm-3.0.6.lib64.diff: merged all lib64 stuff and add SUBSTS macros
  for uname->target_cpu handling on ppc64, s390 and x86_64
* Wed May 15 2002 - ro@suse.de
- update brp-x86_64-linux
* Wed May 15 2002 - mfabian@suse.de
- fix ja.po, it contained some junk which caused mojibake on
  output, especially in ja_JP.UTF-8 locale. Remove a lot
  of fuzzies which had correct translations.
* Mon May 13 2002 - olh@suse.de
- do not translate ppc64 to ppc anymore
* Fri Apr 26 2002 - sf@suse.de
- fixed brp-x86_64-linux script
- added *.a-files to brp-script
- look _only_ for files or links with names *.a, *.so*
- added /opt/gnome/lib and /opt/kde/lib
* Wed Apr 24 2002 - sf@suse.de
- added script to show requires and provides with 64 bit
  (like s390 and sparc64)
- rpm will now stop (on x86_64) if a 64-bit binary
  (or a link to one) is found in
  $RPM_BUILD_ROOT{, /usr, /usr/X11R6}/lib
* Wed Apr 24 2002 - ke@suse.de
- patch19: Fix 1 german message (3 strings) in de.po [# 8442].
* Mon Apr 22 2002 - kukuk@suse.de
- Remove broken s390x try to fix lib64 library location
* Thu Apr 18 2002 - kukuk@suse.de
- x86_64 can also build noarch packages
* Wed Apr 17 2002 - sf@suse.de
- install i386-rpms on x86_64
- patch65 only, if not on s390x (doesn't apply)
- patch  to build with new automake (ro)
* Fri Apr 12 2002 - kukuk@suse.de
- Don't apply s390x 64bit hacks on sparc64, sparc64 has a working
  libtool
* Thu Apr 11 2002 - mls@suse.de
- fixed bug in patchrpm case that prevented the reuse of
  old timestamps in unpatched files in some cases
- fixed patchrpm dependency failure message
* Wed Apr 10 2002 - sf@suse.de
- added x86_64 architecture
- added --libdir to autogen.sh to copy the libs depending on
  architecture (lib / lib64)
* Fri Mar 29 2002 - schwab@suse.de
- Fix for new autotools.
* Fri Mar 22 2002 - mls@suse.de
- added rpmqpack program to speed up susehelp
* Wed Mar 20 2002 - ro@suse.de
- modified config.diff for currently used optflags (#15123)
* Mon Mar 18 2002 - schwab@suse.de
- Don't lose errno.
* Mon Mar 11 2002 - mls@suse.de
- use gpg --keyring when checking keys with uid != 0
- use hardcoded keyring path if _gpg_path is not set and uid == 0
- removed _gpg_path from suse_macros
* Sat Mar 09 2002 - bk@suse.de
- brp-s390x-linux: merge lib64 fix: patch .la files when moving
* Fri Mar 08 2002 - ma@suse.de
- introduced x86_64 architecture in rpmrc (#14110)
* Fri Mar 08 2002 - mls@suse.de
- backported rpm4 fix to get mtime right on s390x
* Mon Feb 25 2002 - mls@suse.de
- added patchrpm support
- changed rpm -qi to include the distribution
* Thu Feb 21 2002 - schwab@suse.de
- Fix to build with new gettext.
* Mon Feb 18 2002 - ro@suse.de
- added requires for suse-build-key
* Mon Feb 11 2002 - ro@suse.de
- tar option for bz2 is now "j" (re-added)
* Mon Feb 11 2002 - ma@suse.de
- unk_ugname_cached.diff: Upon building a package, unpacking sources
  by calling tar from the spec file, may lead to files with unknown
  user/group names. If those files are to be included in the final
  package, it's not appropriate to simply map unknown user/group names
  to the builders user/group (usg. root). This behaviour has been disabled
  and building the package will fail. There are ample means to propperly
  define file attributes. If a spec file does not use them, although it
  should, it's considered broken.
  Unknown user/group names lead to NULL entries in rpms user/group name cache,
  which may cause a segmentation fault on cache lookup. This has been fixed.
* Sat Jan 26 2002 - ro@suse.de
- apply configure-diff also on s390x
* Mon Jan 21 2002 - bk@suse.de
- use RPM_OPT_FLAGS for compilation
- add lib64 support for s390x
- update srcdir-supplied rpm-suse_macros file to newest version
  adds: %%_lib handling for ltconfig/-main and macro suse_update_libdir
- sparc64 and s390x: call scripts/brp-%%_arch-linux at the end of install
* Wed Jan 16 2002 - schwab@suse.de
- Fix parsing of nested conditionals.
* Wed Jan 02 2002 - schwab@suse.de
- Remove wrong assertion.
* Tue Dec 18 2001 - adrian@suse.de
- fix find-requires for objdump with private flags finaly
* Mon Dec 17 2001 - adrian@suse.de
- apply mips patch only on mips architecture
- fix mips patch
* Sun Dec 16 2001 - adrian@suse.de
- fix find-requires script for mips
  ( do not include private flags from objdump to dependencies )
* Wed Dec 05 2001 - schwab@suse.de
- Use optind = 0 to reset getopt in glibc.
* Mon Dec 03 2001 - schwab@suse.de
- Fix another endian bug due to pointer mismatch.
* Thu Nov 22 2001 - mls@suse.de
- reset getopt in grabArgs() macro expansion
* Thu Nov 15 2001 - ma@suse.de
- Fixed: copyFile() in rpmchecksig didn't recognize 'No space left on
  device' condition, when creating tempfiles. rpm reported that the
  signature was not ok instead. (#12294)
* Thu Nov 08 2001 - adrian@suse.de
- name mips big endian as "mips" instead of "mipseb"
  this is compatible to all GNU tools and to the SGI distribution
* Sat Nov 03 2001 - ro@suse.de
- accept automake 1.5 (still needs depcomp added)
* Tue Sep 04 2001 - schwab@suse.de
- Accept libtool 1.4.1.
* Fri Aug 17 2001 - ro@suse.de
- Exclude /usr/share/doc from Requires
* Sat Jul 21 2001 - schwab@suse.de
- Adapt for autoconf 2.52.
- Allow libtool version suffix.
* Tue Jul 03 2001 - kukuk@suse.de
- Fix typo in last change
* Mon Jul 02 2001 - ma@suse.de
- Change -m486 to -mcpu=i486 in optflags
* Wed Jun 20 2001 - ma@suse.de
- Don't define popt version via macro. Abuild does not like it (#8224).
- Patches for rpmrc.in (ia64.dif,ppc64.rpmrc.diff) incorporated
  into config.diff.
- Patches for brp scripts (strip_no_lib.dif) and sparc64-linux.{req,prov}
  scripts (sparc64.dif) incorporated into pkg_build.diff.
* Wed Jun 13 2001 - bk@suse.de
- rpm-3.0.6.config.diff: add s390x support
* Mon Jun 11 2001 - olh@suse.de
- add ppc64 diff
* Fri Jun 08 2001 - schwab@suse.de
- Fix endian bugs.
* Mon Jun 04 2001 - kukuk@suse.de
- Fix requires/provides scripts for sparc64
* Fri Jun 01 2001 - schwab@suse.de
- Fix for new configure tools.
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu May 03 2001 - ma@suse.de
- provides script shouldn't block soname as version
* Tue May 01 2001 - kukuk@suse.de
- modify spec file for sparc64
* Thu Apr 12 2001 - ro@suse.de
- gettextize to compile with new gettext
* Fri Apr 06 2001 - kukuk@suse.de
- Make some changes to the changes entries so rpm likes it again
* Thu Mar 29 2001 - ro@suse.de
- provides/requires script: add "-n200" to xargs arguments
* Mon Feb 26 2001 - ro@suse.de
- no optimization for alpha for now ...
* Wed Feb 14 2001 - ma@suse.de
- Fix rpmio (unknown type off64_t) with glibc >= 2.2
- Fix configure.in to recognize SuSE as platform specific vendor
* Tue Feb 06 2001 - ro@suse.de
- popt: include float.h to make it compile
* Wed Jan 17 2001 - schwab@suse.de
- Mark ia64 as compatible to i386.
* Mon Jan 08 2001 - ma@suse.de
- fixed previous fix (error occuring outside %%doc was lost)
* Sat Jan 06 2001 - ma@suse.de
- fixed rpm does not abort build if %%doc file is missing (#503)
* Mon Nov 27 2000 - ma@suse.de
- wrongly free() after alloca() fixed
* Thu Nov 23 2000 - bk@suse.de
- removed old s390 hack(not needed-breaks with new rpm and glibc)
* Tue Nov 14 2000 - ro@suse.de
- added patch not to strip all shared libs and
  files with "/lib/modules/" in path
* Fri Nov 03 2000 - ma@suse.de
- let 'rpm -e --root ..' remove files/dirs chroot.
* Wed Oct 25 2000 - ma@suse.de
- update subpackage popt to 1.6
* Tue Oct 17 2000 - ma@suse.de
- fixed missing libpopt.so in popt subpackage
* Fri Oct 06 2000 - ma@suse.de
- update to 3.0.6
* Fri Sep 29 2000 - schwab@suse.de
- Fix last change to stay compatible with glibc < 2.2.
* Fri Sep 29 2000 - schwab@suse.de
- Fix libio cookie function pointer clash in rpmio.
* Fri Jul 28 2000 - ma@suse.de
- update to 3.0.5 (handles RPM v4 packages)
- ia64/s309 patches incorporated
* Wed Jul 26 2000 - ma@suse.de
- ignore chown() errors eg. if files are installed on a DOS partition
* Fri Jul 14 2000 - ma@suse.de
- fixed: ignore dependencies below /usr/share/doc.
- rpmrc: synced s390 entries with those in rpm-4.0.
* Mon Jun 26 2000 - bk@suse.de
- build static on s390 too.
* Fri May 26 2000 - schwab@suse.de
- For for new libbz2 API.
* Thu May 18 2000 - kasal@suse.de
- hope now rpm-3.0.4-macro-grabArgs.patch works
* Wed May 17 2000 - kasal@suse.cz
- fixed a typo in rpm-3.0.4-macro-grabArgs.patch (c=='?')
- fixed a problem when
  ifarch someother
  define macro sometext
  endif
  defined macro anyway
* Tue May 16 2000 - kasal@suse.cz
- fixed the bug with {?suse_update_config:%%{suse_update_config -f}}
* Fri May 12 2000 - schwab@suse.de
- Make ia64 compatible with noarch.
* Wed Apr 26 2000 - ma@suse.de
- updated 3.0.4, removed obsolete patches, builds on
  libc5
* Fri Apr 14 2000 - ma@suse.de
- Update for RPM-HOWTO
- Fix in config.diff (use Makefile.am not Makefile.in)
* Mon Apr 10 2000 - schwab@suse.de
- Fix config patch.
* Thu Apr 06 2000 - bk@suse.de
- added /lib/libpopt.so* to filelist on s390
* Wed Apr 05 2000 - bk@suse.de
- uses autoconf and automake now
- added /lib/libbz2.so* and /lib/libz.so* to filelist on s390
* Sat Apr 01 2000 - bk@suse.de
- add s390 architecture support to rpm
- add required %%suse_update_config for s390
- rpm is NOT linked statically on s390 for now
* Tue Mar 28 2000 - ma@suse.de
- rpm.spec: avoid macro usage in 'Version:' entry
* Thu Mar 02 2000 - schwab@suse.de
- Fix md5 for ia64.
* Mon Feb 28 2000 - ma@suse.de
- remove 'libNoVersion' in find-requires
* Wed Feb 23 2000 - schwab@suse.de
- recognize ia64 as architecture.
* Mon Feb 07 2000 - ma@suse.de
- rebuilddb fix
- set info/mandir macros to /usr/share/...
* Wed Feb 02 2000 - ma@suse.de
- update to 3.0.4 (popt-1.5)
- new subpackage: popt
* Sat Nov 13 1999 - kukuk@suse.de
- Add sparc64 directory
- Fix installation into RPM_BUILD_ROOT directory
* Mon Nov 08 1999 - kukuk@suse.de
- add directory /usr/src/packages/RPMS/sparc
* Thu Nov 04 1999 - bs@suse.de
- fixed bug in find-requires regarding pseudo scripts
  starting with "#! --"
* Thu Oct 28 1999 - bs@suse.de
- added directories /usr/src/packages/RPMS/{ppc,noarch}
* Wed Oct 27 1999 - ma@suse.de
- place suse_macrofile in source/binary package
- don't check reqires below /usr/doc/
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Mon Jul 19 1999 - ma@suse.de
- again rebuilddb.patch
* Wed Jul 14 1999 - ro@suse.de
- update to 3.0.3
* Mon Jun 28 1999 - ro@suse.de
- changed macros.in for libc5 : no "h" parameter for chown,chmod
* Fri Jun 25 1999 - ro@suse.de
- update to rpm-3.0.2
- added librpmbuild.a to filelist
- added patch not to generate dependency for libNoVersion
- rebuilddb.patch removed (incorporated in source)
* Thu Jun 17 1999 - ma@suse.de
- fixed bug when --rebuilddb and --root where used
  at the same time.
* Wed May 26 1999 - ro@suse.de
- update to 3.0.1
* Mon Apr 26 1999 - werner@suse.de
- Speed up find-requires for linux
* Mon Apr 26 1999 - ro@suse.de
- update to 3.0 (noreplace fix has been incorporated)
* Mon Apr 12 1999 - ro@suse.de
- update to 2.93
* Fri Mar 19 1999 - ro@suse.de
- update to 2.92
* Thu Mar 18 1999 - ro@suse.de
- respect movement of libz to usr/lib
* Sun Feb 28 1999 - ro@suse.de
- update to rpm-src from 99/02/25
* Sat Feb 27 1999 - ro@suse.de
- install both dirs RPM/i386 and RPM/alpha (since buildarch doesn't
  seem to be defined now ?)
* Tue Feb 23 1999 - ro@suse.de
- adapted macros file to SuSE
- fixed segfault when not using BuildRoot
* Tue Feb 23 1999 - ro@suse.de
- modified diff-style
- use additional parameter "-h" on chown after unpacking in build
* Mon Feb 22 1999 - ro@suse.de
- update to 2.91
- ported ma's fixes
* Wed Nov 25 1998 - ma@suse.de
- new version 2.5.5
- fixed in 2.5.5: find-requires/provides bug
- fixed in 2.5.5: rebuilddb
* Wed Nov 18 1998 - ma@suse.de
- link rpm.dyn dynamic against libc only
* Mon Nov 16 1998 - ma@suse.de
- shared binary (/usr/lib/rpm/rpm.dyn) added
* Tue Nov 10 1998 - ro@suse.de
- fixed find-requires (linux.req)
* Mon Nov 09 1998 - ro@suse.de
- added %%post: do rpm --initdb if triggerindex.rpm doesn't exist
- do chown root.root for RPM-HOWTO
* Thu Nov 05 1998 - ma@suse.de
- new version 2.5.4
- fix for rebuilddb
- fix for %%config(noreplace)
- RPM-Changes html document that describes the important changes
  in RPM since what is documented in Maximum RPM.
* Tue Nov 03 1998 - ro@suse.de
- disabled glibc-patch for build in glibc-2.0
* Sun Sep 20 1998 - ro@suse.de
- use libdb185.a for rpm in glibc system
* Thu Sep 03 1998 - ma@suse.de
- glibc patches
* Thu Feb 05 1998 - ro@suse.de
- update to 2.4.12
* Tue Dec 09 1997 - bs@suse.de
- skip *.SuSE-dynamic in find-requires
* Wed Nov 12 1997 - ma@suse.de
- new version 2.4.10
* Sat Nov 08 1997 - ma@suse.de
- patch: rpmdbFindByFile() didn't work for "/". Thus "/" wasn't
  handled correctly in querries and upon updates ("rmdir /").
* Mon Oct 27 1997 - ma@suse.de
- new version 2.4.8
- spec file for autobuild provided
- dirs below /usr/src/packages are installed mode 1777
- obsolete: patch to allow installing rpm v1 packages (from Aug  7 1997)
  Seems to be fixed in 2.4.8
- patch: always 'chdir /' before executing scripts.
- patch: remove empty dirs when installing a symlink
- patch: ignore errors when installing a symlink and called from YaST
- de.po update
* Thu Aug 07 1997 - ma@suse.de
- duplicate '--nodeps' entry in rpm manpage deleted.
- quick patch to allow installing rpm v1 packages.
- workaround to skip installing a symlink (Jul 15 1997)
  is disabeled, unless environment variable RPM_IgnoreFailedSymlinks
  is set.
* Tue Jul 15 1997 - ro@suse.de
- added workaround to skip installing a symlink when
  impossible to remove an existing directory
* Thu Jun 26 1997 - ma@suse.de
- introducing rpm, version 2.4.1
- documentation (ascii,html) in usr/doc/packages/rpm
