#include <sys/types.h>
#include <limits.h>
#include <db1/db.h>
#include <fcntl.h>
#include <stdio.h>

int
main(argc, argv)
int argc;
char **argv;
{
  DB *db;
  DBT key;
  DBT data;
  int ret = 0;

  db = dbopen("/var/lib/rpm/nameindex.rpm", O_RDONLY, 0, DB_HASH, 0);
  if (!db) {
    perror("/var/lib/rpm/nameindex.rpm");
    exit(1);
  }
  if (argc == 1)
    {
      while (db->seq(db, &key, &data, R_NEXT) == 0)
	printf("%*.*s\n", (int)key.size, (int)key.size, (char *)key.data);
    }
  else
    {
      argc--;
      while (argc--)
	{
	  argv++;
	  key.data = (void *)*argv;
	  key.size = strlen(*argv);
	  data.data = NULL;
	  data.size = 0;
	  if (db->get(db, &key, &data, 0) == 0)
	    printf("%s\n", *argv);
	  else
	    ret = 1;
	}
    }
  db->close(db);
  return ret;
}
